﻿app.controller("monitorController", function ($scope, myMonitorService, $mdToast, $location) {

    var ws = new WebSocket('wss://hxrmq.hoxwi.com:15673/ws');
    var client = Stomp.over(ws);

    client.debug = function (e) {
        $('#second div').append($("<code>").text(e));
    };

    // default receive callback to get message from temporary queues
    client.onreceive = function (m) {
        $('#first div').append($("<code>").text(m.body));
    }

    var on_connect = function (x) {
        id = client.subscribe("/queue/test", function (m) {
            // reply by sending the reversed text to the temp queue defined in the "reply-to" header
            var reversedText = m.body.split("").reverse().join("");
            client.send(m.headers['reply-to'], { "content-type": "text/plain" }, reversedText);
        });
    };
    var on_error = function () {
        console.log('error');
    };

    client.connect('cliuser', 'test', on_connect, on_error, '/');

    
});