﻿app.service("myPrivateShiService", function ($http) {
    this.Getform = function (tag) {
        var x = $http({
            method: 'GET',
            url: '/App/getform/' + tag 
        });
        return x;
    }

    this.GetformWithFilteredData = function (tag, filter) {
        return $http({
            method: 'PUT',
            url: '/App/getform/' + tag + '/true',
            data: angular.toJson(filter),
        });
    }

    this.GetAction = function (action) {
        return $http({
            method: 'GET',
            url: '/Wi/Ep/' + action
        });
    }

    this.PutAction = function (action, form) {
        return $http({
            method: 'PUT',
            url: '/Wi/Ep/' + action,
            data: angular.toJson(form),
            dataType: "json"
        });
    }

    this.GetConnector = function (action) {
        return $http({
            method: 'GET',
            url: '/Ho/' + action
        });
    }

    this.PutConnector = function (action, form) {
        return $http({
            method: 'PUT',
            url: '/Ho/' + action,
            data: angular.toJson(form),
            dataType: "json"
        });
    }

    this.Insert = function (tag, form) {
        var x = $http({
            method: 'PUT',
            url: '/App/insert/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });
        return x;
    }

    this.Update = function (tag, form) {
        var x = $http({
            method: 'PUT',
            url: '/App/update/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });
        return x;
    }

    this.Delete = function (tag, id) {
        var x = $http({
            method: 'Delete',
            url: '/App/delete/' + tag + '/'+ id
        });
        return x;
    }

    this.List = function (container, filter) {
        var x = $http({
            method: 'PUT',
            url: '/App/list/' + container,
            data: angular.toJson(filter),
            dataType: "json"
        });
        return x;
    }

}); 