﻿app.service("myShiPublicService", function ($http) {
    
    this.Save = function (form, alias) {
        return $http
            ({
                method: "PUT",
                url: "/owi/"+ alias +"/Save",
                data: JSON.stringify(form),
                dataType: "json"
            });
    }

    this.Insert = function (tag, form) {
        return $http({
            method: 'PUT',
            url: '/owi/insert/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });        
    }

    this.Update = function (tag, form) {
        return $http({
            method: 'PUT',
            url: '/owi/update/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });        
    }

    this.Delete = function (tag, id) {
        return $http({
            method: 'Delete',
            url: '/owi/delete/' + tag + '/' + id
        });        
    }

    this.Getform = function (alias, tag) {
        return $http({
            method: 'GET',
            url: '/owi/getform/' + alias +'/'+ tag
        });        
    }

    this.CreateOrder = function (id) {
        return $http({
            method: 'GET',
            url: '/Pay/CreateOrder/' + id
        });        
    }

    this.GetformWithFilteredData = function (tag, filter) {
        return $http({
            method: 'PUT',
            url: '/owi/getform/' + tag + '/true',
            data: angular.toJson(filter),
        });
    }

    this.ListOwi = function (alias, container, filter) {
        return $http({
            method: 'PUT',
            url: '/owi/list/' + alias +'/' + container,
            data: angular.toJson(filter),
            dataType: "json"
        });
        
    }

    this.List = function (container, filter) {
        return $http({
            method: 'PUT',
            url: '/pages/list/' + container,
            data: angular.toJson(filter),
            dataType: "json"
        });
        
    }

    this.GetAction = function (action, pk) {
        return $http({
            method: 'GET',
            url: '/Wi/' + pk + '/' + action
        });
    }

    this.PutAction = function (action, pk, form) {
        return $http({
            method: 'PUT',
            url: '/Wi/' + pk + '/' + action,
            data: angular.toJson(form),
            dataType: "json"
        });
    }

    this.GetConnector = function (action) {
        return $http({
            method: 'GET',
            url: '/Ho/' + action
        });
    }

    this.PutConnector = function (action, form) {
        return $http({
            method: 'PUT',
            url: '/Ho/' + action,
            data: angular.toJson(form),
            dataType: "json"
        });
    }

    this.CreateAccount = function (form) {
        return $http
            ({
                method: "post",
                url: "/Auth/New",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };
}); 