﻿app.service("myAccountService", function ($http) {

    this.CreateAccount = function (form) {
        return $http
            ({
                method: "post",
                url: "/Account/New",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.Login = function (form) {
        return $http
        ({
            method: "post",
            url: "/Account/Auth",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.Forgot = function (email) {
        return $http
            ({
                method: "get",
                url: "/Account/Forgot/"+ email
            });
    };

    this.Reset = function (form) {
        return $http
            ({
                method: "post",
                url: "/Account/ResetPwd",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };
});