﻿app.service("myApiService", function ($http) {

    this.AddCc = function (form) {
        return $http
        ({
            method: "post",
            url: "/Api/NewContainer",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.AddCcWz = function (form) {
        return $http
        ({
            method: "post",
            url: "/Api/NewContainerWz",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.UpdCc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdateContainer",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.AddAp = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/NewApp",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.AddApWz = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/NewAppWz",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.UpdAp = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdateApp",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.UpdAcc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdateAcc",
                data: angular.toJson(form),
                dataType: "json"
            });
    };

    this.AddEp = function (form) {
        return $http
        ({
            method: "post",
            url: "/Api/NewEndpoint",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.UpdEp = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdateEndpoint",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.UpdateEpSample = function (form) {
        return $http({
            method: "post",
            url: "/Api/UpdateEndpoint",
            data: angular.toJson(form),
            dataType: "json"
        });
    }

    this.DeleteEp = function (form) {
        return $http
        ({
            method: "post",
            url: "/Api/DeleteEndpoint",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.RunEp = function (form) {
        return $http
            ({
                method: form.action,
                url: form.url,
                data: JSON.stringify(form.request),
                dataType: "json"
            });
    };

    this.AddPk = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/NewPublicKey",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.UpdPk = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdatePublicKey",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.DeletePk = function (form) {
        return $http
        ({
            method: "post",
            url: "/Api/DeletePublicKey",
            data: JSON.stringify(form),
            dataType: "json"
        });
    };

    this.AddSc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/NewConnector",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.UpdSc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/UpdateConnector",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.DeleteSc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Api/DeleteConnector",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.GetData = function (item) {
        return $http({
            method: 'GET',
            url: '/Api/Data/' + item
        });
    };

    this.GetDataWz = function (item) {
        return $http({
            method: 'GET',
            url: '/Api/DataWz/ ' + item
        });
    };

    this.GetLogs = function (date) {
        return $http({
            method: 'GET',
            url: '/Api/Logs?date=' + date
        });
    };

    this.GetAlias = function () {
        return $http({
            method: 'GET',
            url: '/Api/Alias'
        });
    };

    this.GetCdnList = function () {
        return $http({
            method: 'GET',
            url: '/Api/GetCdnList'
        });
    };

    this.GetPlayList = function () {
        return $http({
            method: 'GET',
            url: '/Api/ShiList'
        });
    };

    this.GetFeaturesList = function () {
        return $http({
            method: 'GET',
            url: '/Api/Features'
        });
    };

    this.PreviewPlay = function (form) {
        return $http({
            method: 'PUT',
            url: '/Api/PreviewShi',
            data: angular.toJson(form),
            dataType: "json"
        });
    };

    this.SavePlay = function (form) {
        return $http({
            method: 'PUT',
            url: '/Api/UpdateShi',
            data: angular.toJson(form),
            dataType: "json"
        });
    };

    this.SaveNewPlay = function (form) {
        return $http({
            method: 'PUT',
            url: '/Api/AddShi',
            data: angular.toJson(form),
            dataType: "json"
        });
    };

    this.GetMicroserviceList = function () {
        return $http({
            method: 'GET',
            url: '/Api/MicroservicesList'
        });
    };

    this.SaveMicroservice = function (form) {
        return $http({
            method: 'PUT',
            url: '/Api/UpdateMicroservice',
            data: angular.toJson(form),
            dataType: "json"
        });
    };

    this.List = function (container, filter) {
        return $http({
            method: 'PUT',
            url: '/wi/list/' + container,
            data: angular.toJson(filter),
        });
    };
});