﻿app.service("myDocService", function ($http) {

    this.SearchBlobs = function (term) {
        var x = $http({
            method: 'GET',
            url: '/doc/search/' + term
        });
        return x;
    }

    this.DocsByTag = function (tag) {
        var x = $http({
            method: 'GET',
            url: '/doc/bytag/' + tag
        });
        return x;
    }

    this.Gettag = function (tag) {
        var x = $http({
            method: 'GET',
            url: '/doc/gettag/' + tag
        });
        return x;
    }

    this.Getpost = function (id) {
        var x = $http({
            method: 'GET',
            url: '/doc/getpost/' + id
        });
        return x;
    }

    this.DocsByCategory = function (category) {
        var x = $http({
            method: 'GET',
            url: '/doc/cat/' + category
        });
        return x;
    }


    this.FeaturedDocs = function () {
        var x = $http({
            method: 'GET',
            url: '/doc/featured'
        });
        return x;
    }

    //authorized only


    this.AddDocComment = function (form) {
        return $http
            ({
                method: "post",
                url: "/Doc/Comment",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.AddDoc = function (form) {
        return $http
            ({
                method: "post",
                url: "/Doc/AddDoc",
                data: JSON.stringify(form),
                dataType: "json"
            });
    };

    this.Publish = function (tag) {
        var x = $http({
            method: 'GET',
            url: '/doc/publish/' + tag
        });
        return x;
    }

    this.Mydoc = function (id) {
        var x = $http({
            method: 'GET',
            url: '/Doc/Document/' + id
        });
        return x;
    }

    this.MyDocs = function () {
        var x = $http({
            method: 'GET',
            url: '/Doc/Documents'
        });
        return x;
    }

}); 