﻿app.controller("shiAuthController", function ($scope, shiAuthService, $mdToast, $location) {

    $scope.Login = function (pk) {

        $scope.isLoading = true;

        var form =
        {
            user: $scope.user,
            pwd: $scope.pwd
        };

        var response = shiAuthService.Login(form, pk);
        response.then(function (res) {
            
            if (res.data.success == true) {
                $mdToast.show(
                   $mdToast.simple()
                     .textContent(res.data.message)
                     .hideDelay(5000)
                );
                window.location.href = res.data.result;
            }
            else {
                $scope.isLoading = false;
                $mdToast.show(
                    $mdToast.simple()
                      .textContent(res.data.error)
                      .hideDelay(false)
                      .hideDelay(5000)
                   );
            }
        });
    }
});