﻿app.controller("shiPrivateAuthController", function ($scope, shiPrivateAuthService, $mdToast, $location) {

    $scope.SelItem = {};

    $scope.LoginDef = function (tag) {
        DoLogin(tag);
    };

    $scope.Login = function () {
        DoLogin($scope.tag);
    };

    $scope.SetTag = function (tag) {
        $scope.tag = tag;
    };

    function DoLogin(tag) {

        $scope.isLoading = true;

        var form =
        {
            user: $scope.user,
            pwd: $scope.pwd
        };

        var response = shiPrivateAuthService.Login(form, tag);
        response.then(function (res) {
            
            if (res.data.success == true) {
                $mdToast.show(
                   $mdToast.simple()
                     .textContent(res.data.message)
                     .hideDelay(5000)
                );
                window.location.href = res.data.result;
            }
            else {
                $scope.isLoading = false;
                $mdToast.show(
                    $mdToast.simple()
                      .textContent(res.data.error)
                      .hideDelay(false)
                      .hideDelay(5000)
                   );
            }
        });
    }

    $scope.Save = function () {

        $scope.isLoading = true;
        $scope.isSaving = true;

        var response = shiPrivateAuthService.Save($scope.SelItem);
        response.then(function (res) {

            if (res.data.success == true) {
                $scope.message = res.data.result;
            }
            else {
                $scope.message = res.data.error;
                $scope.isSaving = false;
            }
            $scope.isLoading = false;
        });
    }

    $scope.Forgot = function () {

        $scope.isLoading = true;
        $scope.isSaving = true;

        var response = shiPrivateAuthService.Forgot($scope.SelItem);
        response.then(function (res) {

            if (res.data.success == true) {
                $scope.message = res.data.result;
            }
            else {
                $scope.message = res.data.error;
                $scope.isSaving = false;
            }
            $scope.isLoading = false;
        });
    }
});