﻿app.service("myShiService", function ($http) {

    this.SearchForms = function (term) {
        return  $http({
            method: 'GET',
            url: '/wi/search/' + term
        });        
    }

    this.ShisByTag = function (tag) {
        return  $http({
            method: 'GET',
            url: '/wi/bytag/' + tag
        });        
    }

    this.Getform = function (tag) {
        return  $http({
            method: 'GET',
            url: '/wi/getform/' + tag
        });        
    }

    this.ShisByCategory = function (category) {
        return  $http({
            method: 'GET',
            url: '/wi/cat/' + category
        });        
    }

    this.FeaturedShis = function () {
        return  $http({
            method: 'GET',
            url: '/wi/featured'
        });        
    }
    
    this.AddShi = function (form) {
        return $http
            ({
                method: "post",
                url: "/wi/AddShi",
                data: JSON.stringify(form),
                dataType: "json"
            });
    }

    this.Publish = function (tag) {
        return  $http({
            method: 'GET',
            url: '/wi/publish/' + tag
        });        
    }

    //FORM OPER

    this.Insert = function (tag, form) {
        return  $http({
            method: 'PUT',
            url: '/wi/insert/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });        
    }

    this.Update = function (tag, form) {
        return  $http({
            method: 'PUT',
            url: '/wi/update/' + tag,
            data: angular.toJson(form),
            dataType: "json"
        });        
    }

    this.Delete = function (tag, id) {
        return  $http({
            method: 'Delete',
            url: '/wi/delete/' + tag + '/'+ id
        });        
    }

    this.List = function (container, filter) {
        return  $http({
            method: 'PUT',
            url: '/wi/list/' + container,
            data: angular.toJson(filter),
        });        
    };

}); 